Loading...
Searching...
No Matches
AVTaskCallbacks Struct Reference

`#include <libavutil/executor.h>`

## Data Fields

void * | user_data
int | local_context_size
int(* | priority_higher )(const AVTask *a, const AVTask *b)
int(* | ready )(const AVTask *t, void *user_data)
int(* | run )(AVTask *t, void *local_context, void *user_data)

## Detailed Description

Definition at line 31 of file executor.h.

## Field Documentation

## user_data

void* AVTaskCallbacks::user_data

Definition at line 32 of file executor.h.

## local_context_size

int AVTaskCallbacks::local_context_size

Definition at line 34 of file executor.h.

## priority_higher

int(* AVTaskCallbacks::priority_higher) (const AVTask *a, const AVTask *b)

Definition at line 37 of file executor.h.

## ready

int(* AVTaskCallbacks::ready) (const AVTask *t, void *user_data)

Definition at line 40 of file executor.h.

## run

int(* AVTaskCallbacks::run) (AVTask *t, void *local_context, void *user_data)

Definition at line 43 of file executor.h.

The documentation for this struct was generated from the following file:

- libavutil/executor.h